import Vue from 'vue'
import store from '../store'

/**
 * 清除登录信息
 */
export function clearLoginInfo () {
  Vue.cookie.delete('phone')
  Vue.cookie.delete('token')

  store.commit('common/UPDATE_PHONE', '')
  store.commit('common/UPDATE_TOKEN', '')
}

export function clearStore () {
  store.commit('resetStore')
}

export function fen2Yuan (num) {
  return isNaN(num) ? '' : (num * 0.01).toFixed(2)
}

export function yuan2Fen (num) {
  if (isNaN(num)) {
    return ''
  }
  const amount = num.toString()
  const index = amount.indexOf('.')
  const arr = amount.split('.')
  let result = arr[0] * 100
  if (index > -1) {
    result += arr[1].split('').reduce((total, cur, index) => {
      if (index === 0) {
        return total + cur * 10
      } else {
        return total + cur * 1
      }
    }, 0)
  }
  return result
}

export function getCookieValue (name) {
  return Object.prototype.toString.call(Vue.cookie.get(name)) === '[object Null]' ? '' : Vue.cookie.get(name)
}
